<div>
  <h3>Product List</h3>
  <select (change)="filterBy($event.target.value)">
    <option value="">Select All</option>
    <option value="notice">Notice</option>
    <option value="instant">Instant</option>
  </select>
  <button (click)="sortBy('rate')">Sort by best rate</button>
  <ul>
    <li *ngFor="let product of products | async">
      <b>{{product.name}}</b> - {{product.rate}};
    </li>
  </ul>
</div>
